Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		dssi
Version:	1.0.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://dssi.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	Disposable Soft Synth Interface specification & examples

BuildRequires:	ladspa-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: flac-devel
BuildRequires: glibc-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libgcc
BuildRequires: liblo-devel
BuildRequires: libogg-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: pkg-config

%description
Disposable Soft Synth Interface specification & examples
For more details see: %{url}

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
./configure --prefix=%_prefix --mandir=%_mandir
make 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
cp doc/* $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
cp COPYING README $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/dssi_osc_send
%{_bindir}/dssi_osc_update
%{_bindir}/jack-dssi-host
%{_bindir}/karplong
%{_bindir}/less_trivial_synth
%{_bindir}/trivial_sampler
%{_bindir}/trivial_synth
%_libdir/dssi
%{_mandir}/man1/dssi_osc_send.1.gz
%{_mandir}/man1/dssi_osc_update.1.gz
%{_mandir}/man1/jack-dssi-host.1.gz
%{_datadir}/doc/dssi/COPYING
%{_datadir}/doc/dssi/README
%{_datadir}/doc/dssi/RFC.html
%{_datadir}/doc/dssi/RFC.txt
%{_datadir}/doc/dssi/TODO
%{_datadir}/doc/dssi/dssi_osc_send.1
%{_datadir}/doc/dssi/dssi_osc_update.1
%{_datadir}/doc/dssi/jack-dssi-host.1
%{_datadir}/doc/dssi/midi-controllers.txt
%{_datadir}/doc/dssi/why-use.html
%{_datadir}/doc/dssi/why-use.txt

%files devel
%defattr(-,root,root)
%_includedir/dssi.h
%{_pkgconfig}/dssi.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version Update
* Wed Jun 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-1
- Version Update
* Mon Mar 07 2005 Christian Wasem <wasem@ccux-linux.de> - 0.9-1
- Initial Release  
